// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: switchmodule/switchmodule.proto

package openfmb.switchmodule;

public interface SwitchDiscreteControlXSWIOrBuilder extends
    // @@protoc_insertion_point(interface_extends:switchmodule.SwitchDiscreteControlXSWI)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNodeForControl field is set.
   */
  boolean hasLogicalNodeForControl();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNodeForControl.
   */
  openfmb.commonmodule.LogicalNodeForControl getLogicalNodeForControl();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.LogicalNodeForControlOrBuilder getLogicalNodeForControlOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PhaseDPC Pos = 2;</code>
   * @return Whether the pos field is set.
   */
  boolean hasPos();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PhaseDPC Pos = 2;</code>
   * @return The pos.
   */
  openfmb.commonmodule.PhaseDPC getPos();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PhaseDPC Pos = 2;</code>
   */
  openfmb.commonmodule.PhaseDPCOrBuilder getPosOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlSPC ResetProtectionPickup = 3;</code>
   * @return Whether the resetProtectionPickup field is set.
   */
  boolean hasResetProtectionPickup();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlSPC ResetProtectionPickup = 3;</code>
   * @return The resetProtectionPickup.
   */
  openfmb.commonmodule.ControlSPC getResetProtectionPickup();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlSPC ResetProtectionPickup = 3;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getResetProtectionPickupOrBuilder();
}
